%{?nodejs_find_provides_and_requires}

%global packagename conventional-changelog
# Tests are failing in mock/koji
%global enable_tests 0

Name:		nodejs-conventional-changelog
Version:	1.1.24
Release:	2%{?dist}
Summary:	Generate a changelog from git metadata

License:	MIT
URL:		https://github.com/conventional-changelog/conventional-changelog.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	%{packagename}-tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:	nodejs-packaging

BuildRequires:	npm(conventional-changelog-angular)
BuildRequires:	npm(conventional-changelog-atom)
BuildRequires:	npm(conventional-changelog-codemirror)
BuildRequires:	npm(conventional-changelog-core)
BuildRequires:	npm(conventional-changelog-ember)
BuildRequires:	npm(conventional-changelog-eslint)
BuildRequires:	npm(conventional-changelog-express)
BuildRequires:	npm(conventional-changelog-jquery)
BuildRequires:	npm(conventional-changelog-jshint)
BuildRequires:	npm(conventional-changelog-preset-loader)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(shelljs)
%endif

%description
Generate a changelog from git metadata


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep chai
%nodejs_fixdep conventional-changelog-jquery '^1.3.8'
%nodejs_fixdep mocha


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon May 21 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.1.24-1
- Update to upstream 1.1.24 release

* Tue Mar 27 2018 jsmith <jsmith.fedora@gmail.com> - 1.1.22-1
- Update to upstream 1.1.22 release

* Wed Feb 21 2018 Jared Smith <jsmith@fedoraproject.org>
- 
